﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

// Add a reference to Microsoft.VisualBasic.
using Microsoft.VisualBasic.FileIO;

namespace howto_use_text_field_parser
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Load the data.
        private void Form1_Load(object sender, EventArgs e)
        {
            // Open a TextFieldParser using these delimiters.
            string[] delimiters = { ";", ",", "-" };
            using (TextFieldParser parser =
                FileSystem.OpenTextFieldParser("Names.txt", delimiters))
            {
                // Process the file's lines.
                while (!parser.EndOfData)
                {
                    try
                    {
                        string[] fields = parser.ReadFields();
                        ListViewItem item = lvwPeople.Items.Add(fields[0]);
                        for (int i = 1; i <= 5; i++)
                        {
                            item.SubItems.Add(fields[i]);
                        }
                    }
                    catch (Exception ex)
                    {
                        MessageBox.Show(ex.Message);
                    }
                }
            }

            lvwPeople.AutoResizeColumns(ColumnHeaderAutoResizeStyle.HeaderSize);
        }
    }
}
